GET /spaces/directory

circuitsandbox.net

Summary: Get the directory
Operation ID: getDirectory
Auth: unknown
Description

Get the directory by a search query in ordered way OauthScopes: READ_SPACE

Parameters (6)

filter (string, query, required, default: NONE)

filter for spaces (JOINED, REQUESTED, OPEN, CLOSED or NOT_JOINED_REQUESTED)

Constraints: {'maxLength': 2048, 'enum': ['NONE', 'JOINED', 'REQUESTED', 'OPEN', 'CLOSED', 'NOT_JOINED_REQUESTED']}

numberOfResults (number, query, optional, default: 25)

number of results to return, 25 by default.

Constraints: {'minimum': 0, 'maximum': 255}

pagePointer (string, query, optional)

page pointer, start with nothing and for next query use returned pointer

Constraints: {'maxLength': 2048}

query (string, query, optional)

some sort of query

Constraints: {'maxLength': 2048}

sortBy (string, query, required, default: LAST_CONTENT)

sort the spaces by LAST_CONTENT, NAME, NUMBER_OF_USERS or CREATION_DATE

Constraints: {'maxLength': 2048, 'enum': ['LAST_CONTENT', 'NAME', 'NUMBER_OF_USERS', 'CREATION_DATE']}

sortOrder (string, query, required, default: ASCENDING)

ascending or descending

Constraints: {'maxLength': 2048, 'enum': ['ASCENDING', 'DESCENDING']}

No probe data for this endpoint yet.